Subject: Re: bug#17822: bs-show with mulitbyte characters doesn't work well

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 Jun 2014 15:16:08 -0400

> `bs-show' displays buffer information on incorrect column position.
> It is because `bs-show' calculates column using `length' for multibyte
> strings.

> Just changing `length' to `string-width' in `bs-show-in-buffer' and
> `bs--insert-one-entry' will solve the problem.

Indeed (tho this is not a "multibyte" problem, but a problem with
double-width chars).
Can you provide a patch?

        Stefan